petsc-3.6.2 2015-10-02
Report Typos and Errors

# MatMultTransposeConstrained

The inner multiplication routine for a constrained matrix P^T A^T P.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatMultTransposeConstrained(Mat mat,Vec x,Vec y)

Neighbor-wise Collective on Mat and Vec

### Input Parameters

| mat | - the matrix
| x | - the vector to be multilplied

### Output Parameters

y -the result

### Notes

The vectors x and y cannot be the same. I.e., one cannot call MatMult(A,y,y).

### Keywords

matrix, multiply, matrix-vector product, constraint

### See Also

MatMult(), MatMultTranspose(), MatMultAdd(), MatMultTransposeAdd()

Level:beginner
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages